@implementation SearchResultCell : CPView
{
	CPTextField label;
}

- (void)setRepresentedObject: (JSObject)anObject
{
	if (!label)
	{
		label = [[CPTextField alloc] initWithFrame: CGRectMakeZero()];
		[label setFont: [CPFont systemFontOfSize:12.0]];
		[label setTextColor: [CPColor blackColor]];
		[self addSubview: label];
	}
	
	[label setStringValue: "@" + anObject.from_user + ": " + anObject.text];
	[label setFrameSize: CGSizeMake(360.0, 60.0)];
	[label setLineBreakMode: CPLineBreakByWordWrapping];
}
	
- (void)setSelected:(BOOL)isSelected
{
	if (isSelected)
	{
		[label setTextColor: [CPColor whiteColor]];
		[self setBackgroundColor: [CPColor grayColor]];
	}
	else
	{
		[label setTextColor: [CPColor blackColor]];
		[self setBackgroundColor: nil];
	}
}

@end